%define cvs_date _003_20050530

# Note that this is NOT a relocatable package
Name: edje
Version: 0.5.0
Release: alt0.2%cvs_date

Summary: Complex Graphical Design/Layout Engine
License: BSD
Group: Graphical desktop/Enlightenment
URL: http://www.enlightenment.org
Source: %name-%version%cvs_date.tar.bz2

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Tue Mar 29 2005
BuildRequires: fontconfig freetype2-devel gcc-c++ hostinfo imlib2-devel libecore-devel libeet-devel libembryo-devel libevas-devel libjpeg-devel libstdc++-devel nvidia_glx_common xorg-x11-devel xorg-x11-libs xorg-x11-mesaGL zlib-devel

%description
Edje purpose is to be a sequel to "Ebits" which to date has serviced the
needs of Enlightenment development for version 0.17. The original design
paramteres under which Ebits came about were a lot more restricted than
the resulting use of them, thus Edje was born. A graphical layout and 
animation library for animated resizable, compressed and scalable themes.

%package -n lib%name
Summary: edje library
Group: System/Libraries

%description -n lib%name
Edje purpose is to be a sequel to "Ebits" which to date has serviced the
needs of Enlightenment development for version 0.17. The original design
paramteres under which Ebits came about were a lot more restricted than
the resulting use of them, thus Edje was born. A graphical layout and 
animation library for animated resizable, compressed and scalable themes.

This package contains shared Edje library.

%package -n lib%name-devel
Summary: Edje headers and development libraries
Group: Development/C
Requires: lib%name = %version

%description -n lib%name-devel
Edje purpose is to be a sequel to "Ebits" which to date has serviced the
needs of Enlightenment development for version 0.17. The original design
paramteres under which Ebits came about were a lot more restricted than
the resulting use of them, thus Edje was born. A graphical layout and 
animation library for animated resizable, compressed and scalable themes.

This package contains edje headers and development libraries

%package -n lib%name-devel-static
Summary: Edje static libraries
Group: Development/C
Requires: lib%name-devel = %version

%description -n lib%name-devel-static
Edje purpose is to be a sequel to "Ebits" which to date has serviced the
needs of Enlightenment development for version 0.17. The original design
paramteres under which Ebits came about were a lot more restricted than
the resulting use of them, thus Edje was born. A graphical layout and 
animation library for animated resizable, compressed and scalable themes.

This package contains static libraries

%prep
%setup -q -n %name

%build
%__libtoolize --copy --force
%__aclocal
%__autoheader
%__automake --foreign --add-missing
%__autoconf

%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n %name
%_bindir/*
%exclude %_bindir/*-config
%_datadir/%name/
%doc AUTHORS COPYING COPYING-PLAIN ChangeLog INSTALL NEWS README

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/*-config
%_includedir/*
%_libdir/pkgconfig/edje.pc
%_libdir/*.so
#_libdir/*.la

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif


%changelog
* Mon May 30 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050530
- updated from cvs.

* Tue May 24 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050524
- updated from cvs.

* Mon May 16 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050516
- updated from cvs.

* Sat May 14 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050514
- updated from cvs.

* Thu Apr 28 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050428
- updated from cvs.
- minor spec fixes.

* Mon Apr 25 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050425
- updated from cvs.

* Thu Apr 21 2005 Denis Klykvin <nikon@altlinux.ru> 0.5.0-alt0.2_003_20050421
- updated from cvs

* Tue Mar 29 2005 Alex Murygin <murygin@altlinux.ru> 0.5.0-alt0.2_003_20050329
- updated from cvs.

* Sat Jan 22 2005 Alex Murygin <murygin@altlinux.ru> 0.5.0-alt0.1_20050122
- updated from cvs.

* Tue Dec 28 2004 Alex Murygin <murygin@altlinux.ru> 0.5.0-alt0.1_20041228
- updated from cvs.

* Fri Dec 17 2004 Alex Murygin <murygin@altlinux.ru> 0.5.0-alt0.1_20041216
- updated from cvs.

* Sun Oct 24 2004 Alex Murygin <murygin@altlinux.ru> 0.5.0-alt0.1_20041022
- First build for Sisyphus.

